package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class InventoryProductSupplier implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private String name;
    
    private String address;
    
    private String supplierUser;
    
    private String telephone;
    
    private String email;
    
    private String content;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Integer isActive;
    
    private Date createdTime;
    
    private String createdBy;
    
    private Date updatedTime;
    
    private String updatedBy;
    
    private Byte deleted;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }
    
    public String getAddress() {
        return address;
    }
    
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }
    
    public String getSupplierUser() {
        return supplierUser;
    }
    
    public void setSupplierUser(String supplierUser) {
        this.supplierUser = supplierUser == null ? null : supplierUser.trim();
    }
    
    public String getTelephone() {
        return telephone;
    }
    
    public void setTelephone(String telephone) {
        this.telephone = telephone == null ? null : telephone.trim();
    }
    
    public String getEmail() {
        return email;
    }
    
    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }
    
    public String getContent() {
        return content;
    }
    
    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }
    
    public Integer getOrgId() {
        return orgId;
    }
    
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
    
    public Integer getShopId() {
        return shopId;
    }
    
    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }
    
    public Integer getIsActive() {
        return isActive;
    }
    
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }
    
    public Date getCreatedTime() {
        return createdTime;
    }
    
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
    
    public String getCreatedBy() {
        return createdBy;
    }
    
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }
    
    public Date getUpdatedTime() {
        return updatedTime;
    }
    
    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
    
    public String getUpdatedBy() {
        return updatedBy;
    }
    
    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }
    
    public Byte getDeleted() {
        return deleted;
    }
    
    public void setDeleted(Byte deleted) {
        this.deleted = deleted;
    }
}